.dialog-modal {
    border: 0;
    background-color: transparent;
    margin: 0;
    left: 0;
    top: 0;
    min-height: 100%;
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: unset;
    overflow: hidden;
    overflow-y: auto;
    padding: 0;
}

.dialog-wrapper {
    border: 0;
    box-shadow: 0px 0px 25px 0px #00000038;
    margin: 0 auto;
    width: 100%;
    width: calc(100% - 25px);
    max-width: 550px;

    position: relative;
    margin: 15px auto;
}

.dialog-wrapper.border-1 {
    box-shadow: unset;
    border: 1px solid;
    border-color: var(--default-border-color);
}

.dialog-wrapper.full-width {
    width: 100%;
    max-width: unset;
}

dialog::backdrop {
    background-color: #00000080;
}

.dialog-sm .dialog-wrapper {
    max-width: 450px;
}

.dialog-md .dialog-wrapper {
    max-width: 650px;
}

.dialog-lg .dialog-wrapper {
    max-width: 850px;
}

.dialog-xl .dialog-wrapper {
    max-width: 1050px;
}

.dialog-xxl .dialog-wrapper {
    max-width: 1450px;
}

.dialog-header,
.dialog-body,
.dialog-footer {
    padding: 15px 20px;
}

.dialog-sm .dialog-header,
.dialog-sm .dialog-body,
.dialog-sm .dialog-footer {
    padding: 10px 15px;
}

.dialog-header {
    background-color: var(--light);
    line-height: 32px;
}

.close-dialog-button {
    background-color: var(--white);
    box-shadow: 0px 0px 5px 0px #00000057;
    cursor: pointer;
    float: right;
    line-height: 0;
    text-align: center;
    padding: 0;
    border-radius: 35px;
    border: 0;
    width: 38px;
    height: 38px;
    margin-top: -3px;
    margin-left: 5px;
    font-size: 35px;
}

.dialog-modal.dialog-sm .close-dialog-button {
    background-color: var(--white);
    width: 28px;
    height: 28px;
    margin-top: 2px;
    margin-left: 5px;
    font-size: 28px;
}

.dialog-body {
    background-color: var(--white);
    overflow: hidden;
    overflow-y: auto;
}

.dialog-body *:last-child {
    margin-bottom: 0;
}

.dialog-footer {
    background-color: var(--light);
}